# Update an inventory model

To [update](https://docs.commercelayer.io/core/updating-resources) an existing inventory model, send a `PATCH` request to the `/api/inventory_models/:id` endpoint, where `id` is the ID of the resource that you want to update.

Here below the list of all the possible arguments that you can pass with the request body.

## Request

**PATCH** <https://yourdomain.commercelayer.io/api/inventory\\_models/:id>

### Arguments

| Body Parameter                                 | Type      | Required |
| ---------------------------------------------- | --------- | -------- |
| **type**                                       | `string`  | Required |
| **id**                                         | `string`  | Required |
| attributes.**name**                            | `string`  | Optional |
| attributes.**strategy**                        | `string`  | Optional |
| attributes.**stock\_locations\_cutoff**        | `integer` | Optional |
| attributes.**stock\_reservation\_cutoff**      | `integer` | Optional |
| attributes.**put\_stock\_transfers\_on\_hold** | `boolean` | Optional |
| attributes.**manual\_stock\_decrement**        | `boolean` | Optional |
| attributes.**reference**                       | `string`  | Optional |
| attributes.**reference\_origin**               | `string`  | Optional |
| attributes.**metadata**                        | `object`  | Optional |

### Example

{% tabs %}
{% tab title="Request" %}
The following request updates the inventory model identified by the ID "XAyRWNUzyN":

```shell
curl -g -X PATCH \
  'https://yourdomain.commercelayer.io/api/inventory_models/XAyRWNUzyN' \
  -H 'Accept: application/vnd.api+json' \
  -H 'Authorization: Bearer your-access-token' \
  -H 'Content-Type: application/vnd.api+json' \
  -d '{
  "data": {
    "type": "inventory_models",
    "id": "xYZkjABcde",
    "attributes": {
      "reference": "ANY-EXTERNAL-REFEFERNCE"
    }
  }
}'
```

{% endtab %}

{% tab title="Response" %}
On success, the API responds with a `200 OK` status code, returning the updated resource object:

```json
{
  "data": {
    "id": "XAyRWNUzyN",
    "type": "inventory_models",
    "links": {
      "self": "https://yourdomain.commercelayer.io/api/inventory_models/XAyRWNUzyN"
    },
    "attributes": {
      "name": "EU Inventory Model",
      "strategy": "no_split",
      "stock_locations_cutoff": 3,
      "stock_reservation_cutoff": 3600,
      "put_stock_transfers_on_hold": true,
      "manual_stock_decrement": true,
      "created_at": "2018-01-01T12:00:00.000Z",
      "updated_at": "2018-01-01T12:00:00.000Z",
      "reference": "ANY-EXTERNAL-REFEFERNCE",
      "reference_origin": "ANY-EXTERNAL-REFEFERNCE-ORIGIN",
      "metadata": {
        "foo": "bar"
      }
    },
    "relationships": {
      "inventory_stock_locations": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/inventory_models/XAyRWNUzyN/relationships/inventory_stock_locations",
          "related": "https://yourdomain.commercelayer.io/api/inventory_models/XAyRWNUzyN/inventory_stock_locations"
        }
      },
      "inventory_return_locations": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/inventory_models/XAyRWNUzyN/relationships/inventory_return_locations",
          "related": "https://yourdomain.commercelayer.io/api/inventory_models/XAyRWNUzyN/inventory_return_locations"
        }
      },
      "attachments": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/inventory_models/XAyRWNUzyN/relationships/attachments",
          "related": "https://yourdomain.commercelayer.io/api/inventory_models/XAyRWNUzyN/attachments"
        }
      },
      "event_stores": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/inventory_models/XAyRWNUzyN/relationships/event_stores",
          "related": "https://yourdomain.commercelayer.io/api/inventory_models/XAyRWNUzyN/event_stores"
        }
      }
    },
    "meta": {
      "mode": "test",
      "organization_id": "xRRkjDFafe",
      "trace_id": "69abaa3545913c78132e5578bd26208d44aa9043647d78698fd0021f3958cd74"
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.commercelayer.io/core-api-reference/inventory_models/update.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
